AnsweredAssumed Answered

FeatureCircularPattern2→Why don't change Pattern num?

Question asked by Yong Ning on Dec 30, 2015
Latest reply on Dec 31, 2015 by Yong Ning

Why don't change Pattern num?   6  change 10 in Circular Pattern.

0.jpg

 

 

Option Explicit

 

Dim swApp As SldWorks.SldWorks

Dim swModel As SldWorks.ModelDoc2

Dim swModelDocExt As SldWorks.ModelDocExtension

Dim swFeatureMgr As SldWorks.FeatureManager

Dim swFeature As SldWorks.Feature

Dim status As Boolean

Dim warnings As Long

Dim errors As Long

 

Sub main()

 

   Set swApp = Application.SldWorks

   Set swModel = swApp.ActiveDoc

   Set swModelDocExt = swModel.Extension

   Set swFeatureMgr = swModel.FeatureManager

   ' Select boss feature to use for circular pattern; selection mark is 4

   status = swModelDocExt.SelectByID2("a-1@Assem1", "COMPONENT", 0, 0, 0, False, 0, Nothing, 0)

   Stop

   ' Select axis around which to create circular pattern; selection mark is 1

   status = swModelDocExt.SelectByID2("Axis1", "AXIS", 0, 0, 0, True, 1, Nothing, 0)

   Stop

   ' Create circular-pattern feature

 

   ''Set swFeature = swFeatureMgr.FeatureCircularPattern2(18, Atn(1) * 4 / 8, False, True, False)

   Dim intNumber As Integer

   intNumber = 10

   swFeatureMgr.FeatureCircularPattern2 intNumber, 2 * 4 * Atn(1) / intNumber, False, Empty, False

 

 

End Sub

Attachments

Outcomes